Coordinate with legal and security around data access guidelines for Search data
Closed, ResolvedPublic6 Story Points

Description

Search handles a lot of interesting and problematic data. As we hire more engineers and researchers, we need to put together some guidelines on how to properly handle this data in a way that respects our users privacy and our obligations but allows us to perform the research needed to improve the search systems.

Oliver will sit down with Legal and Security representatives and draft some guidelines on:

  1. The types of data we have;
  2. Where we can safely store them;
  3. What data we are comfortable releasing and how to release it securely;
  4. Contacts if you are interested in releasing data not covered in (3).
Ironholds updated the task description. (Show Details)
Ironholds raised the priority of this task from to Needs Triage.
Ironholds claimed this task.
Ironholds added a subscriber: Ironholds.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2015, 10:39 PM
Ironholds set Security to None.Aug 3 2015, 10:39 PM
Ironholds edited a custom field.
Ironholds moved this task from Needs triage to Analysis on the Discovery board.Aug 4 2015, 8:14 AM
ksmith added a subscriber: ksmith.Aug 4 2015, 7:15 PM

I would clarify that "releasing" might mean "emailing to another developer who also has NDA access". That wouldn't be obvious to a developer who is new to handling confidential material.

I don't know if developers should receive any additional "laptop hygiene" guidelines. Is search data on a laptop more of a risk than other work-related material they would have?

ksmith added a comment.Aug 4 2015, 8:43 PM

The guidelines should also cover Wikidata Query Service logs (presumably quite similar), but also the Maps tile server logs. I assume a user's geographical browsing history should be kept confidential.

Indeedy. @MaxSem how does the logging around that currently work?

On reflection I'm not sure if we want to just focus on the core product for the time being. @Deskana, what are your thoughts here?

On reflection I'm not sure if we want to just focus on the core product for the time being. @Deskana, what are your thoughts here?

This should be focussed on search data only. Search is the Discovery Department's biggest priority. Including Wikidata Query Service and Maps in the document might only increase the size of the document by a few lines, but it definitely trebles the amount of coordination with Security and Legal that needs to happen.

Krenair added a subscriber: Krenair.Aug 5 2015, 4:31 PM

I'm not sure that those are going to be worked on given the concern is the time it takes, but it's good to have them logged.

Waiting on legal's draft.

What is the expected date that they will have a first draft?

They predict 2 weeks or so.

They've provided it! I've provided draft tweaks and asked them to check it out again :)

Engineering has +1d, now for final legal review.

Deskana triaged this task as Normal priority.Aug 27 2015, 8:04 PM

Legal is still reviewing this.

We have some comments now, and we'll handle those and pass back to Legal for signoff.

Hopefully-final pass across these guidelines, handled.

Geoff is now reviewing.

Now done, just need to post to officewiki

Deskana closed this task as Resolved.

Now done, just need to post to officewiki

Creating this as a subtask (see T113653), and resolving this one, since the document has been approved.

csteipp added a subscriber: csteipp.Oct 1 2015, 1:43 AM

Now done, just need to post to officewiki

Link?

Not posted yet ;p. It was finished literally the day I went on vacation to (Vegas|Raleigh|NASA|Chicago) but I'll be on it by Monday like white on..well, me.

Not posted yet ;p. It was finished literally the day I went on vacation to (Vegas|Raleigh|NASA|Chicago) but I'll be on it by Monday like white on..well, me.

Ping! Would really love to see what you guys have.

https://office.wikimedia.org/wiki/Discovery_data_access_guidelines boop - feedback appreciated, and there are some talkpage threads you may be interested in :).